-- MySQL dump 10.13  Distrib 5.1.65, for Win64 (unknown)
--
-- Host: localhost    Database: tendaonline
-- ------------------------------------------------------
-- Server version	5.1.65-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;




DROP DATABASE IF EXISTS `tendaonline`;

CREATE DATABASE `tendaonline`
    CHARACTER SET 'utf8';

USE `tendaonline`;




--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categories` (
  `idCategoria` int(11) NOT NULL AUTO_INCREMENT,
  `imatge` varchar(255) DEFAULT NULL,
  `nomCategoria` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idCategoria`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'cat1.jpg','PCs'),(2,'cat2.jpg','Portátiles'),(3,'cat3.jpg','Procesadores'),(4,'cat4.jpg','Placas Base'),(5,'cat5.jpg','Tarjetas graficas'),(6,'cat6.jpg','Memoria RAM'),(7,'cat7.jpg','Discos Duros'),(8,'cat8.jpg','Memorias USB');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `clients`
--

DROP TABLE IF EXISTS `clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `clients` (
  `idUsuari` int(11) NOT NULL,
  PRIMARY KEY (`idUsuari`),
  KEY `FK334B8608C0EE6622` (`idUsuari`),
  CONSTRAINT `FK334B8608C0EE6622` FOREIGN KEY (`idUsuari`) REFERENCES `usuaris` (`idUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `clients`
--

LOCK TABLES `clients` WRITE;
/*!40000 ALTER TABLE `clients` DISABLE KEYS */;
INSERT INTO `clients` VALUES (9),(10);
/*!40000 ALTER TABLE `clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compra_productes`
--

DROP TABLE IF EXISTS `compra_productes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compra_productes` (
  `quantitat` int(11) NOT NULL,
  `producte` int(11) NOT NULL DEFAULT '0',
  `compra` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`compra`,`producte`),
  KEY `FKF6A0445C3DBDD181` (`compra`),
  KEY `FKF6A0445C95577BF1` (`producte`),
  CONSTRAINT `FKF6A0445C3DBDD181` FOREIGN KEY (`compra`) REFERENCES `compres` (`idCompra`),
  CONSTRAINT `FKF6A0445C95577BF1` FOREIGN KEY (`producte`) REFERENCES `productes` (`idProducte`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compra_productes`
--

LOCK TABLES `compra_productes` WRITE;
/*!40000 ALTER TABLE `compra_productes` DISABLE KEYS */;
INSERT INTO `compra_productes` VALUES (1,11,1),(1,15,1),(1,18,1),(1,19,1),(1,22,1),(1,8,2),(1,12,2),(1,16,2),(1,20,2),(1,24,2),(2,26,3),(1,6,4),(1,25,4),(1,19,5),(1,22,6);
/*!40000 ALTER TABLE `compra_productes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compres`
--

DROP TABLE IF EXISTS `compres`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compres` (
  `idCompra` int(11) NOT NULL AUTO_INCREMENT,
  `dataCompra` datetime DEFAULT NULL,
  `estatCompra` varchar(255) DEFAULT NULL,
  `preuTotal` float NOT NULL,
  `clientId` int(11) DEFAULT NULL,
  `enviament` int(11) DEFAULT NULL,
  `metodePagament` int(11) DEFAULT NULL,
  PRIMARY KEY (`idCompra`),
  KEY `FK38A77B315EED961F` (`metodePagament`),
  KEY `FK38A77B31C4779476` (`clientId`),
  KEY `FK38A77B31C29C2A1` (`enviament`),
  CONSTRAINT `FK38A77B315EED961F` FOREIGN KEY (`metodePagament`) REFERENCES `metodespagament` (`idMetodePagament`),
  CONSTRAINT `FK38A77B31C29C2A1` FOREIGN KEY (`enviament`) REFERENCES `enviaments` (`idEnviament`),
  CONSTRAINT `FK38A77B31C4779476` FOREIGN KEY (`clientId`) REFERENCES `clients` (`idUsuari`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compres`
--

LOCK TABLES `compres` WRITE;
/*!40000 ALTER TABLE `compres` DISABLE KEYS */;
INSERT INTO `compres` VALUES (1,'2012-12-17 13:00:53','Enviado ',459.55,9,1,1),(2,'2012-12-17 13:03:40','Entregado',724.9,10,2,3),(3,'2012-12-17 13:05:40',' Tramitándose (Pagado)',46.85,10,3,3),(4,'2012-12-17 13:06:20','Esperando Pago',637.007,9,4,1),(5,'2012-12-17 13:06:40','Esperando Pago',21.21,9,5,1),(6,'2012-12-17 13:08:06','Preparado',78.2285,9,6,2);
/*!40000 ALTER TABLE `compres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `empresatransportista`
--

DROP TABLE IF EXISTS `empresatransportista`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `empresatransportista` (
  `idEmpresa` int(11) NOT NULL AUTO_INCREMENT,
  `cost` float NOT NULL,
  `nomEmpresa` varchar(255) DEFAULT NULL,
  `terminiEntrega` int(11) NOT NULL,
  PRIMARY KEY (`idEmpresa`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `empresatransportista`
--

LOCK TABLES `empresatransportista` WRITE;
/*!40000 ALTER TABLE `empresatransportista` DISABLE KEYS */;
INSERT INTO `empresatransportista` VALUES (1,8.95,'Seur',24),(2,7.5,'Tourline',36),(3,6.95,'Correos Paquete Azul',48),(4,6.5,'MRW',48);
/*!40000 ALTER TABLE `empresatransportista` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enviaments`
--

DROP TABLE IF EXISTS `enviaments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enviaments` (
  `idEnviament` int(11) NOT NULL,
  `dataEntrega` date DEFAULT NULL,
  `dataRecollida` date DEFAULT NULL,
  `estatEnviament` varchar(255) DEFAULT NULL,
  `horaEntrega` time DEFAULT NULL,
  `horaRecollida` time DEFAULT NULL,
  `observacions` varchar(255) DEFAULT NULL,
  `compra` int(11) DEFAULT NULL,
  `transportista` int(11) DEFAULT NULL,
  PRIMARY KEY (`idEnviament`),
  KEY `FK564FFB303DBDD181` (`compra`),
  KEY `FK564FFB304D83915B` (`transportista`),
  CONSTRAINT `FK564FFB303DBDD181` FOREIGN KEY (`compra`) REFERENCES `compres` (`idCompra`),
  CONSTRAINT `FK564FFB304D83915B` FOREIGN KEY (`transportista`) REFERENCES `transportistes` (`idUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enviaments`
--

LOCK TABLES `enviaments` WRITE;
/*!40000 ALTER TABLE `enviaments` DISABLE KEYS */;
INSERT INTO `enviaments` VALUES (1,NULL,NULL,'Recogido',NULL,NULL,'',1,5),(2,NULL,NULL,'Entregado',NULL,NULL,'',2,4),(3,NULL,NULL,'Tramitándose',NULL,NULL,'Ninguna.',3,7),(4,NULL,NULL,'Tramitándose',NULL,NULL,'A partir las 14h.',4,3),(5,NULL,NULL,'Tramitándose',NULL,NULL,'',5,5),(6,NULL,NULL,'Preparado',NULL,NULL,'',6,6);
/*!40000 ALTER TABLE `enviaments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hibernate_sequences`
--

DROP TABLE IF EXISTS `hibernate_sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hibernate_sequences` (
  `sequence_name` varchar(255) DEFAULT NULL,
  `sequence_next_hi_value` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hibernate_sequences`
--

LOCK TABLES `hibernate_sequences` WRITE;
/*!40000 ALTER TABLE `hibernate_sequences` DISABLE KEYS */;
/*!40000 ALTER TABLE `hibernate_sequences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `intentsentrega`
--

DROP TABLE IF EXISTS `intentsentrega`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `intentsentrega` (
  `intentEntrega` int(11) NOT NULL,
  `dataIntent` date DEFAULT NULL,
  `horaIntent` time DEFAULT NULL,
  `enviament` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`enviament`,`intentEntrega`),
  KEY `FK30111061C29C2A1` (`enviament`),
  CONSTRAINT `FK30111061C29C2A1` FOREIGN KEY (`enviament`) REFERENCES `enviaments` (`idEnviament`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `intentsentrega`
--

LOCK TABLES `intentsentrega` WRITE;
/*!40000 ALTER TABLE `intentsentrega` DISABLE KEYS */;
INSERT INTO `intentsentrega` VALUES (1,'2012-12-17','13:10:14',1),(2,'2012-12-17','13:10:18',1),(3,'2012-12-17','13:10:20',1),(1,'2012-12-17','13:09:21',2),(2,'2012-12-17','13:09:34',2);
/*!40000 ALTER TABLE `intentsentrega` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `metodespagament`
--

DROP TABLE IF EXISTS `metodespagament`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `metodespagament` (
  `idMetodePagament` int(11) NOT NULL AUTO_INCREMENT,
  `sobreCost` float NOT NULL,
  `tipusPagament` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idMetodePagament`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metodespagament`
--

LOCK TABLES `metodespagament` WRITE;
/*!40000 ALTER TABLE `metodespagament` DISABLE KEYS */;
INSERT INTO `metodespagament` VALUES (1,0.01,'PayPal'),(2,0.03,'Contrareembolso'),(3,0,'Transferencia bancaria'),(4,0.02,'Tarjeta de crédito');
/*!40000 ALTER TABLE `metodespagament` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `productes`
--

DROP TABLE IF EXISTS `productes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `productes` (
  `idProducte` int(11) NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(1023) DEFAULT NULL,
  `estoc` int(11) NOT NULL,
  `imatge` varchar(255) DEFAULT NULL,
  `nomProducte` varchar(255) DEFAULT NULL,
  `preu` float NOT NULL,
  `valoracioMitjana` float NOT NULL,
  `categoriaId` int(11) DEFAULT NULL,
  PRIMARY KEY (`idProducte`),
  KEY `FKC14E59DD4BF19E1C` (`categoriaId`),
  CONSTRAINT `FKC14E59DD4BF19E1C` FOREIGN KEY (`categoriaId`) REFERENCES `categories` (`idCategoria`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `productes`
--

LOCK TABLES `productes` WRITE;
/*!40000 ALTER TABLE `productes` DISABLE KEYS */;
INSERT INTO `productes` VALUES (1,'Especificaciones<br>Sistema operativo Windows® 8 64bits<br>Procesador Intel® Pentium® G645T  (2,5 GHz)<br>Chipset Intel H61<br>Memoria DDR3 de 6 GB (1 x 2 GB, 1 x 4 GB) 2 DIMM. Admite hasta 8 GB de memoria DDR3<br>Disco Duro 1 TB SATA 3G (7200 rpm)<br>Grabadora de DVD SATA DVD RAM y doble capa<br>Lector tarjetas de memoria 6 en 1<br>Comunicación: interface de red Ethernet 10/100BT integrado<br>Vídeo: Gráficos Intel HD (hasta 1,7 GB)<br>Sonido: Audio 5,1 de alta definición<br>Puertos entrada/salida<br>6 USB 2.0<br>1 VGA<br>1 DVI-D<br>1 entrada de audio<br>1 salida de audio<br>1 entrada de audio analógico<br>2 salidas de audio analógico<br>Software:<br>Microsoft® Office Starter: funcionalidad reducida en Word y Excel® únicamente, con publicidad. Sin PowerPoint® ni Outlook®. Adquiera Office 2010 para disfrutar de la versión completa del software.',57,'prod1.jpg','HP Compaq CQ2905ES G645/6GB/1TB/W8',440,5,1),(2,'Especificaciones:<br>Sistema operativo FreeDOS<br>Procesador Intel® Celeron® G540T con gráficos HD Intel (2,1 GHz, 2 MB de caché, 2 núcleos)<br>ChipsetProcesador Intel® H61 Express<br>FormatoMicrotorre<br>Memoria<br>Memoria, estándar:SDRAM DDR3 de 2 GB 1600 MHz<br>Ranuras de memoria2 DIMM<br>Ranuras de expansión 1 lector de tarjetas multimedia 6 en 1<br>Almacenamiento<br>Compartimentos para unidades internasUno de 8,9 cm (3,5\")<br>Compartimentos para unidades internasUno de 13,3 cm (5,25\")<br><br>Unidad internaSATA 3,0 Gb/s de 500 GB, 7200 rpm<br>Unidad ópticaGrabadora SATA SuperMulti DVD<br>Pantalla y gráficos<br>Gráficos Intel HD Graphics<br>Características de expansión<br>6 USB 2.0<br>1 DVI-D<br>1 RJ-45<br>1 VGA<br>1 salida de línea de audio<br>1 auricular<br>1 entrada de audio<br>2 entrada de micrófono<br>Ranuras de expansión1 lector de tarjetas multimedia 6 en 1<br>Dispositivos de entrada y multimedia<br>AudioAudio de alta definición (todos los puertos son estéreo)',77,'prod2.jpg','HP 600B G540/2GB/500GB ',269,5,1),(3,'Especificaciones:<br><br>Torre Cooler Master CM Storm Enforcer<br>Fuente de alimentación AeroCool Strike-X Power 800W<br>Procesador Intel Core i7-3820 3.60Ghz Box Socket 2011<br>Ventilador CPU Cooler Master Hyper 412S <br>Placa Base Gigabyte GA-X79-UD3<br>Disco duro <br>Crucial M4 128GB SSD SATA3<br>Seagate Barracuda 7200.14 2TB SATA3 64MB<br>Memoria G.Skill RipjawsZ DDR3 1866 PC3-14900 16GB 4x4GB CL9<br>Grabadora DVD Sata Negra<br>Gráfica Gigabyte GeForce GTX 680 OC 2GB GDDR5<br>1x DVI-I<br>1x DisplayPort<br>1x DVI-D<br>1x HDMI<br>Conexiones delanteras: <br>2 x USB 3.0<br>2 x USB2.0<br>1 x Micrófono <br>1 x Altavoces/auricular frontal<br>Conexiones traseras<br>1 x Puerto RJ-45<br>6 x jacks de audio<br>8 x USB 2.0/1.1 ports<br>1 x puerto teclado / ratón PS / 2<br>2 x USB 3.0/2.0<br>1 x Salida Óptica S/P-DIF<br>1 x Salida Coaxial S/P-DIF<br>Dimensiones (alto x ancho x prof.)  484.5 x 229 x 523.5 mm',98,'prod3.jpg','PcCom Apocalypse i7-3820/16GB/128GB SSD+2TB/GTX-680 OC',1424,5,1),(4,'Especificaciones:<br>Sistema operativo	Windows® 7 Home Premium Original 64bits<br>CPU	I7-3770<br>Gráfica<br>Compatible con Microsoft DirectX11<br>NVIDIA GeForce GTX550 Ti 1GB GDDR5 (DVI/HDMI/D-sub)<br>Memoria	12 GB <br>Dual Channel, DDR3 a 1600MHz<br><br>Almacenamiento<br>1TB 6Gb/s Disco duro<br>64GB SSD<br>BluRay Combo<br>Red	10/100/1000Mbps<br>Audio Realtek ALC892<br>High Defination Audio Codec<br>High Definition 8 Canales de audio<br>E/S panel frontal	1 x Lector de tarjetas 16 en 1<br>1 x Auricular<br>1 x Micrófono<br>2 x USB 2.0 <br>2 x USB 3.0<br>E/S panel trasero	2 x USB 3.0 <br>4 x USB 2.0 <br>1 x PS/2 (Teclado/Ratón)<br>1 x DVI-D<br>1 x salida HDMI<br>1 x salida VGA (D-Sub)<br>1 x 8 canal(es) de audio<br>Lector de tarjetas	16 en 1: CF/ Micro Drive/ MS/ MS Duo/ MS Pro/ MS Pro Duo/ SD/ MMC/ MMC4.0/ RS-MMC/ RS-MMC4.0/ SDHC/ MS Micro-M2/ Mini SD/ Micro SD/ Mini MMC<br> Fuente	 400W<br>Dimensiones	200 x 534 x 461 mm (WxDxH)<br>333 x 600 x 552 mm (WxDxH) con embalaje<br>Peso	10.83 kg',51,'prod4.jpg','Asus CG8270 I7-3770/12GB/1TB+64GB/GTX550Ti',939,5,1),(5,'Especificaciones:<br>Procesador Intel® Core™ i7 - 3630QM<br>Memoria RAM 16 GB DDR3<br>Disco duro MSI Super RAID: 2 x 64GB SSD (SATA) + 750 GB (SATA) 7200RPM<br>Almacenamiento óptico Grabadora Blu-ray<br>Display 17.3” Full-HD (Mate, 1920x1080) LED retroiluminado<br>Audio: 7.1 con THX TruStudio Pro™<br>Controlador gráfico<br>NVIDIA® GeForce® GTX675M con 2GB de memoria y GPU Boost NVIDIA® Optimus™<br>VGA<br>HDMI<br>Conectividad<br>Tarjeta de red gaming Killer™ 2205<br>802.11 b/g/n con Wireless Display 2.0<br>Bluetooth V4.0<br>Cámara de portátil Sí<br>Micrófono Sí<br>Batería 9 celdas Ion de litio<br>Conexiones<br>1 x VGA<br>1 x HDMI<br>1 x e-SATA<br>1 x SPDIF<br>1 x salida de auriculares<br>1 x entrada de micrófono<br>2 x USB 2.0<br>3 x USB 3.0<br>1 RJ45<br>Lector de Tarjetas 7 en 1<br>Sistema operativo Microsoft Windows 8<br>Dimensiones (Ancho x Profundidad x Altura)  428x288x55mm<br>Peso  3.9Kg<br>Color Negro metálico',27,'prod5.jpg','MSI GT70-448ES/i7-3630Q/16GB/128GB+750GB/GTX675/17.3\"',1839,5,2),(6,'Especificaciones:<br>Procesador Intel Core i7-3612QM 2.1 GHz<br>Memoria RAM 6GB DDR3 SODIMM<br>Disco duro 320 GB (5400 rpm S-ATA)<br>Almacenamiento óptico Super Multi Dual Layer (S-ATA)<br>Display Pantalla HD LED BrightView de 39,6 cm (15,6\") (1366 x 768)<br>Controlador gráfico<br>AMD Radeon HD 7670M (DDR3 dedicada de 1 GB)<br>VGA<br>HDMI<br>Conectividad<br>10/100 BASE-T Ethernet LAN integrada<br>802.11 b/g/n<br>Cámara de portátil Sí<br>Micrófono Sí<br>Batería 6 celdas Ion de litio<br>1 x VGA<br>1 x HDMI<br>1 x salida de auriculares<br>1 x entrada de micrófono<br>1 x USB 2.0 (Chargable USB included)<br>2 x USB 3.0<br>1 RJ45<br>Lector de Tarjetas 3 en 1 (SD, SDHC, MMC)<br>Sistema operativo Microsoft Windows 7 Home Premium<br>Dimensiones (Ancho x Profundidad x Altura)  376 x 244 x 36.3 cm<br>Software: Symantec Norton Internet Security (actualización gratuita durante 60 días);<br>Peso  2.48 kg <br>Color Gris carbón',47,'prod6.jpg','HP Pavilion G6-2004SS i7-3612M/6GB/320GB/HD 7670/15.6\" ',609,5,2),(7,'Especificaciones:<br>Procesador Procesador Intel® Core™ i5-3210M con Tecnologia Intel® Turbo Boost 2.50Ghz y Turbo Boost hasta 3.10Ghz<br>Memoria RAM 6 GB DDR3 SDRAM (4 GB + 2 GB) 1600 MHz; Máx 8 GB<br>Disco duro 640 GB (Serial ATA; 5400 rpm)<br>Almacenamiento óptico Super Multi Dual Layer (S-ATA)<br>Display VAIO Display retroiluminado por LED de 39,5 cm (15.5”) (1) • WXGA 1366x768<br>Controlador gráfico<br>AMD Radeon™ HD 7650M con 1 GB VRAM<br>VGA<br>HDMI<br>Conectividad<br>LAN 10/100<br>802.11 b/g/n<br>Bluetooth V4.0<br>Cámara de portátil Sí Webcam HD de Exmor™ • 1280x1024<br>Micrófono Sí<br>Batería 6 celdas Ion de litio<br>Conexiones<br>1 x VGA<br>1 x HDMI<br>1 x salida de auriculares<br>1 x entrada de micrófono<br>1 x USB 3.0<br>3 x USB 2.0 (Chargable USB included)<br>1 RJ45<br>SD Card (SDHC, SDXC) • Memory Stick™ PRO (Duo)<br>Sistema operativo Microsoft Windows 8<br>Dimensiones (Ancho x Profundidad x Altura)  371.9 mm x 25.3 mm-35.1 mm x 253.5 mm<br>Color Blanco',17,'prod7.jpg','Sony Vaio SVE1512R1EW i5-3210/6GB/640GB/15.5\"/Blanco\" ',650,5,2),(8,'Specifications:<br>Family Intel Core i7<br>Model number I7-2600K<br>Frequency (MHz) 3400<br>Turbo frequency (MHz) 3800<br>Package 1155-land Flip-Chip Land Grid Array<br>Socket Socket H2 (LGA1155)<br>Manufacturing process 0.032 micron High-K metal gate process<br>Data width 64 bit<br>Number of cores 4<br>Floating Point Unit Integrated<br>Level 1 cache size<br>4 x 32 KB instruction caches<br>2 x 32 KB data caches<br>Level 2 cache size 4 x 256 KB<br>Level 3 cache size 8 MB shared cache<br>Thermal Design Power (W) 95<br>Gráficos Intel® HD<br>Incluye ventilador original Intel.',57,'prod8.jpg','Intel Core i7 2600K 3.4Ghz Box Socket 1155',259,10,3),(9,'Specifications:<br>Frequency  3500 MHz<br>Turbo frequency 4000 MHz<br>Bus speed  5 GT/s DMI<br>Clock multiplier  35 Package 2011-land Flip-Chip Land Grid Array<br>Socket Socket 2011LGA2011)<br>Size 2.07\" x 1.77\" / 5.25cm x 4.5cm<br>Architecture / Microarchitecture<br>Microarchitecture Sandy Bridge<br>Processor core  Sandy Bridge-E<br>Manufacturing process 0.032 micron Hi-K metal gate process<br>Data width 64 bit<br>The number of cores 6<br>The number of threads 12<br>Floating Point Unit Integrated<br>Level 1 cache size ? 6 x 32 KB instruction caches<br>6 x 32 KB data caches<br>Level 2 cache size  6 x 256 KB<br>Level 3 cache size 15 MB<br>Multiprocessing Uniprocessor<br>Features<br>MMX instruction set<br>SSE<br>SSE2<br>SSE3<br>Supplemental SSE3<br>SSE4.1<br>SSE4.2<br>AES instructions<br>Advanced Vector Extensions<br>EM64T technology  Execute Disable bit<br>Hyper-Threading technology<br>Virtualization technology (VT-x / VT-d)<br>Turbo Boost Technology 2.0<br>Low power features Enhanced SpeedStep technology',10,'prod9.jpg','Intel Core i7-3970X 3.5Ghz Socket 2011',976,5,3),(10,'Model number: i7-3820<br>Frequency (MHz): 3600<br>Turbo frequency (MHz) 3900<br>Socket Socket 2011 (LGA2011)<br>Microarchitecture Sandy Bridge<br>Processor core: Sandy Bridge-E<br>Manufacturing process: 0.032 micron Hi-K metal gate process<br>Data width: 64 bit<br>Number of cores 4<br>Level 1 cache size:<br>4 x 32 KB instruction caches<br>4 x 32 KB data caches<br>Level 2 cache size: 6 x 256 KB<br>Level 3 cache size 10 MB<br>Multiprocessing Uniprocessor<br>Features<br>MMX instruction set<br>SSE<br>SSE2<br>SSE3<br>Supplemental SSE3<br>SSE4.1<br>SSE4.2 <br>AES instructions<br>Advanced Vector Extensions<br>EM64T technology<br>Execute Disable bit<br>Hyper-Threading technology<br>Virtualization technology<br>Turbo Boost Technology<br>On-chip peripherals 4-channel DDR3 memory controller<br>Thermal Design Power (W): 130',25,'prod10.jpg','Intel Core i7-3820 3.60Ghz Box Socket 2011',269,5,3),(11,'Model number FX-8350<br>Frequency  4000 MHz<br>Turbo frequency 4200 MHz<br>Package 938-pin micro-PGA package<br>Socket Socket AM3+<br>Architecture / Microarchitecture<br>Platform Volan<br>Processor core? Vishera<br>Manufacturing process 0.032 micron<br>Data width 64 bit<br>The number of cores 8<br>The number of threads 8<br>Floating Point Unit Integrated<br>Level 1 cache size <br>4 x 64 KB shared instruction caches<br>8 x 16 KB data caches<br>Level 2 cache size 4 x 2 MB shared exclusive caches<br>Level 3 cache size 8 MB shared cache<br>Multiprocessing Uniprocessor<br>Features MMX<br>SSE<br>SSE2<br>SSE3<br>SSE4<br>SSE4a<br>AES instructions<br>Advanced Bit Manipulation <br>Advanced Vector Extensions<br>AMD64 technology<br>Virtualization technology <br>Enhanced Virus Protection<br>Turbo Core 2.0 technology<br>Low power features PowerNow!<br>On-chip peripherals Dual-channel DDR3 memory controller<br>HyperTransport technology<br>Electrical/Thermal parameters<br>Thermal Design Power  125 Watt',25,'prod11.jpg','AMD FX Series FX-8350 4.0Ghz 8X',189,5,3),(12,'Socket LGA1155 compatible con la 3ª Gen de procesadores Intel® Core™ y la 2ª Gen de procesadores Intel® Core™ i7/ i5/ i3/ Pentium® / Celeron®<br>Intel® Z77 Express Chipset<br>SupremeFX III<br>Compatible con NIVIDIA® SLI™ / AMD CrossFireX™<br>LucidLogix Virtu MVP – Aumenta en rendimiento gráfico hasta un 60%<br>Especificaciones:<br>CPU	Intel® Procesadores Socket 1155 for 3rd/2nd Generation <br>Chipset	Intel® Z77<br>Memoria	4 x DIMM, Max. 32GB, DDR3 2800(O.C.)/2666(O.C.)/2600(O.C.)/2400(O.C.)/2200(O.C.)/2133(O.C.)/2000(O.C.)/1866(O.C.)/1600/1333 MHz Non-ECC, Un-buffered Memory<br>Dual Channel Arquitectura de memoria<br>Compatible Multi-GPU	Compatible con NVIDIA® SLI™ Technology<br>Compatible con AMD CrossFireX™ Technology<br>Compatible con LucidLogix® Virtu™ MVP Technology *1<br>Slots de expansión	2 x PCIe 3.0/2.0 x16 (x16 o dual x8, rojo) *2<br>1 x PCIe 2.0 x4 (negro) <br>1 x mini-PCIe 2.0 x1 *3<br>Almacenamiento	Intel® Z77 chipset : *4<br>2 x SATA 6Gb/s port(s), rojo<br>2 x SATA 3Gb/s',15,'prod12.jpg','Asus Maximus V GENE',179,10,4),(13,'Supports 3rd Gen. Intel® 22nm CPUs and 2nd Gen. Intel® Core™ CPUs (LGA1155 socket)<br>2-way SLI™ and 2-way CrossFireX™ multi-GPU support<br>Lucid Virtu™ Universal® MVP GPU virtualization support<br>PCI Express Gen 3.0 support<br>GIGABYTE Digital Power Engine with GIGABYTE 3D Power<br>GIGABYTE On/Off Charge™ for USB devices<br>HDMI, DVI, RGB<br>High quality 108dB SNR HD audio<br>GIGABYTE 3D BIOS (Dual UEFI)<br>GIGABYTE 333™ Onboard Acceleration (USB 3.0, SATA 3.0 & 3x USB Power)<br>Soporte para procesadores Intel ® Core ™ i7 / Intel ® Core ™ i5 / Intel ® Core ™ i3 procesadores / Intel ® Pentium ® / Intel ® Celeron ® en LGA1155<br>Chipset<br>Intel® Z77 Express Chipset<br>Memoria<br>4 x 1.5V DDR3 DIMM que admiten hasta 32 GB de memoria en el sistema<br>Arquitectura de memoria Dual Channel<br>Support for DDR3 1600/1333/1066 MHz memory modules<br>Audio<br>Soporte para salida S / PDIF<br>VIA VT2021 codec<br>2/4/5.1/7.1-channel<br>Audio de alta definición<br>LAN	<br>1 x Atheros GbE LAN chip (10/100/1000 Mbit)',24,'prod13.jpg','Gigabyte GA-Z77MX-D3H',119,5,4),(14,'Certificación OC: Test de rendimiento más exigente superado<br>Componentes Military Class III: Máxima calidad y estabilidad<br>OC Genie II: Auto OC para potenciar el rendimiento en 1 segundo<br>Click BIOS II: Interfaz UEFI BIOS fácil de usar<br>THX TruStudio PRO: ofrece la experiencia de audio más completa<br>Soporta Bluetooth & Wi-Fi<br> Especificaciones:<br>Chipset	Intel Z77 Express Chipset<br>Memoria Admitida	4 x DDR3 3000/2800/26672600/2400/2200/2133(O.C, requiere CPU 22nm)/2000/1866/1600/1333/1066 MHz, no-ECC máximo 32GB<br>Arquitectura DUAL channel<br>Tarjeta Gráfica integrada	No<br>Zócalos ampliación	3 x PCIe 3.0 x16<br>4 x PCIe 2.0 x1<br>Conexiones IDE / SATA	Intel Z77 Express Chipset (SOPORTA RAID 0/1/5/10)<br>2 x SATA 6Gb/s (gestionados por Intel Z77)<br>4 x SATA 3Gb/s<br>Tarjeta de red	Realtek 8111E Gigabit<br>Wifi 802.11 b/g/n (con soporte Bluetooth 3.0 + HS)<br>Tarjeta de sonido	Realtek ALC898 Alta definición 8 canales<br>Conexiones Internas	5 Conectores ventiladores<br>',14,'prod14.jpg','MSI Z77 MPower',187,5,4),(15,'Especificaciones:<br>Procesador AM3+ Socket:<br>AM3+ Socket:<br>Support for AMD AM3 Phenom™ II processor / AMD Athlon™ II processor<br>Support for AMD AM3+ FX processors<br>Hyper Transport Bus	<br>5200 MT/s<br>Chipset	North Bridge:<br>AMD 990FX<br>South Bridge:<br>AMD SB950<br>Memoria	<br>4 x 1.5V DDR3 DIMM sockets supporting up to 32 GB of system memory<br>*Due to Windows 32-bit operating system limitation, when more than 4 GB of physical memory is installed, the actual memory size displayed will be less than 4 GB.<br>Arquitectura de memoria Dual Channel<br>Support for DDR3 2000(O.C.)/1866/1600/1333/1066 MHz memory modules<br>*To support a DDR3 1866 MHz (and above) memory, you must install an AMD AM3+ CPU first.<br>Please refer \"Memory Support List\" for more information<br>Audio	<br>Support for Dolby Home Theater<br>Support for S/PDIF Out<br>2/4/5.1/7.1-channel<br>Realtek ALC889 codec<br>High Definition Audio<br>LAN	<br>1 x RTL8111E chip (10/100/1000 Mbit)<br>Zócalos de Expansión',34,'prod15.jpg','Gigabyte GA-990FXA-UD5 AM3+',147,5,4),(16,'Características:<br>NVIDIA GeForce GTX 550 Ti <br>GPUIntegrated with industry´s best 1 GB GDDR5 memory 192-bit memory interface<br>Support NVIDIA® CUDA™ Technology<br>Support NVIDIA® SLI™ Technology<br>Support NVIDIA® ',25,'prod16.jpg','Asus GeForce GTX 550 Ti DirectCU 1GB DDR5',105,8,5),(17,'Excepcional relación rendimiento/precio, precio especial hasta fin de stock!!<br>Maximiza tu experiencia DirectX® 11 con la ZOTAC® GeForce® GTX 570 y su arquitectura NVIDIA® Fermi.<br>La tarjeta gráfica ZOTAC® GeForce® GTX 570 ofrece un gaming D',334,'prod17.jpg','ZOTAC GeForce GTX 570 1280MB DDR5',179.99,5,5),(18,'Características:<br>GIGABYTE HD Experience SeriesPowered by NVIDIA GeForce 210 GPU<br>Integrated with industry´s best 1GB DDR3 memory and 64-bit memory interface<br>Support NVIDIA® CUDA™ Technology<br>Support NVIDIA® PhysX™ Technology<br>Features Dual link DVI-I',56,'prod18.jpg','Gigabyte GeForce GT 210 1GB GDDR3',29,5,5),(19,'Descripción: 2GB 1333MHz DDR3 Non-ECC CL9 DIMM Single Rank<br>Detailed Specifications: Standard 256M X 64 Non-ECC 1333MHz 240-pin Unbuffered DIMM (DDR3, 1.5V, CL9, FBGA, Gold)<br>Factor de Forma: Memory Module<br>Unidad: 1<br>Garantía: De por vida',76,'prod19.jpg','Kingston ValueRAM DDR3 2GB 1333 PC3-10600 CL9',13.5,5,6),(20,'Memoria CORSAIR DDR3 - 2x4GB - 1600Mhz-L: 8-8-8-22<br>8GB (2x4GB) DDR3 for AMD, Intel Dual processors and upcoming 2nd Generation Intel Core platforms 1600MHz 8-8-8-22 latency Vengeance heat spreader for styling and performance Intel XMP (Extreme Memory Profile) Support Limited Lifetime Warranty<br>Specifications:<br>Density: 8GB (2x4GB Module)<br>Speed: 1600MHz<br>Timing: 8-8-8-22<br>Type: DDR3<br>Format: DIMM<br>Pin Out: 240<br>Pin Voltage: 1.5V',25,'prod20.jpg','Corsair Vengeance PC3-12800 DDR3 1600 8GB 2x4GB CL8',75.4,9,6),(21,'Excelente kit de memorias de 16GB compuesto por 4 módulos de 4GB exactamente iguales, con latencias bajas para un rendimiento óptimo. Además incluyen el disipador RipjawsZ de Gskill que provee de una gran eficiencia para evitar calentamientos en largas e intensas sesiones con el PC<br>Tipo: DDR3<br>Latencias: 11-11-11-30<br>Capacidad: 16GB (4GB x 4)<br>Velocidad: DDR3-2133 (PC3 1700)<br>Voltaje: 1.6 Volts<br>Registered/Unbuffered: Unbuffered<br>Formato: 240-pin DIMM<br>Ideal para plataformas Quad Channel.',15,'prod21.jpg','G.Skill RipjawsZ DDR3 2133 PC3-17000 16GB 4x4GB CL11',97.95,5,6),(22,'Perfecto para:<br>Ordenadores PC de sobremesa a medida o todo en uno<br>Crear sistemas de juegos para PC<br>Implementar un sistema RAID de escritorio<br>Equipar dispositivos de almacenamiento externo conectados directamente (DAS)<br>Crear dispositivos de almacenamiento conectados a red (NAS)<br>Especificaciones<br>Nº de modelo: ST1000DM003<br>Interfaz SATA 6Gb/s<br>Caché 64MB<br>Capacidad 1TB<br>Densidad de área (promedio) 625Gb/in2<br>Sectores garantizados 1,953,525,168<br>Velocidad de giro (rpm) 7200 rpm<br>Latencia promedio 4.16ms<br>Tiempo de búsqueda de lectura aleatoria <8.5ms<br>Tiempo de búsqueda de escritura aleatoria <9.5ms<br>Porcentaje de errores anuales <1%<br>Corriente inicial máxima, CC 2.0<br>Dimensiones Altura 20.17mm x Anchura 101.6mm x Largo 146.99mm<br>Peso (típico) 400g',45,'prod22.jpg','Seagate Barracuda 7200.14 1TB SATA3',69,5,7),(23,'Las unidades de disco Caviar Black de WD combinan una arquitectura electrónica de alto rendimiento con una muy sólida arquitectura mecánica para ofrecer la solución de almacenamiento perfecta para su PC totalmente equipada o para poderosas máquinas de juegos. El funcionamiento fresco de la unidad, tecnología de cabezal que no hace contacto con el disco y protección de vanguardia contra vibración garantizan mejor confiabilidad y un manejo sustentable de sus datos. Y respaldamos todo esto con una garantía limitada de 5 años.<br>Especificaciones:<br>Tasas de transferencia  (Serie ATA) 6 Gb/s (Máx.)<br>Capacidad 1TB<br>Velocidad de giro: 7200 rpm<br>Interfaz SATA 6 Gb/s<br>Sectores de usuario por disco 1953525168<br>Bufer 64MB Caché',35,'prod23.jpg','WD Caviar Black 1TB SATA3 64MB',84.95,5,7),(24,'Seek Time: 0.1ms<br>RAID Support<br>Interface SATA3<br>MTBF: 2 million hours<br>Capacity: 120GB<br>Controller: SandForce SF-2281<br>Maximum Read: 550MB/sec<br>Maximum Write: 500MB/sec<br>Sustained Write: 500MB/sec<br>Max I/O Per Second (IOPS): 60000 IOPS (4KB File)<br>NAND Flash: Multi-Level Cell (MLC)<br>Interface: SATA-III / 6Gbps (Backwards compatible with SATA-II / 3Gbps)<br>TRIM Support (Requires Windows 7)<br>Slim 2.5\" Design 99.8 x 69.63 x 9.3mm<br>Lightweight: 77g<br>Operating Temp: 0°C ~ 70°C<br>Storage Temp: -45°C ~ +85°C<br>Low Power Consumption: 2W in operation, 0.5W in standby<br>Shock Resistant up to 1500G<br>Compatible with Windows XP 32-Bit and 64-Bit; Windows Vista 32-Bit and 64-Bit; Windows 7 32-Bit and 64-Bit; Mac OS X; Linux<br>Nota: Incluye adaptador de bahía de 2.5\" a 3.5\"<br>Garantía: 3 años. A partir del segundo año, la garantía se tramitará directamente con el fabricante.',22,'prod24.jpg','OCZ Vertex 3 SATA3 2.5\" SSD 120GB',99,10,7),(25,'Características y especificaciones:<br><br>Capacidad — 16 GB<br>Velocidad 2 — 10 MB/s de lectura y 5 MB/s de escritura (sólo para las unidades de 16 y 32 GB).<br>Personalizable — forma parte del programa de personalización.<br>Dimensiones — 69.62 mm x 22.44 mm x 12.76 mm<br>Temperatura de funcionamiento — 0 a 60 °C.<br>Temperatura de almacenamiento — -20 a 85 °C.<br><br>Cómoda — tamaño de bolsillo que facilita su transporte.<br>Fácil de usar — basta conectarla al puerto USB.<br>Práctica — sin tapa (el conector USB se guarda dentro del dispositivo).<br>Garantizada — garantía de 5 años.<br>Sistemas operativos compatibles:<br>Windows® 7<br>Windows Vista®<br>Windows XP<br>Windows 2000 (SP4)<br>Mac OS 10.5.x +<br>Linux v.2.6.x +',44,'prod25.jpg','Kingston DataTraveler 100 G2 16GB USB',12.75,5,8),(26,'Diseño exclusivo EMTEC<br>Original! Una memoria USB retráctil.<br>Contraste entre una cubierta brillante en color gris oscura y una parte retráctil transparente.<br>Un color diferente por capacidad.<br>Especificaciones técnicas<br>Capacidad: 32GB<br>Read speed: Hasta 50MB/s<br>Write speed: Hasta 30MB/s<br>Operating system: Windows 8 / 7 / Vista / XP, Mac OS 10.4 o superior* (*Mac: USB 2.0 sólo Alta Velocidad, con USB 3.0 Tarjeta Express para USB 3.0)<br>Compatibility: Compatibilidad USB 2.0<br>Garantía: 5 años<br>Dimensiones del producto: 55 x 22 x 10mm<br>Blister dimensions: 110 x 85 x 10mm',34,'prod26.jpg','Emtec C650 32GB USB 3.0',19.95,7,8),(27,'El diseño de la unidad USB Flash DataTraveler ® Elite 3.0 de Kingston se basa en el estándar USB 3.0 y ofrece una opción económica para las transferencias de datos veloces a través de múltiples rutas. Con velocidades USB 3.0 de hasta 70MB/s de lectura y 30MB/s de escritura2, es ideal para los ordenadores portátiles y de sobremesa con puertos 3.0,<br>Características:<br>USB 3.0, compatible con USB 2.0.<br>70MB/s de lectura, 30MB/s de escritura2 (USB 3.0)<br>Diseño tricolor sin capuchón<br>Especificaciones:<br>Capacidad: de 32GB<br>Velocidad:<br>USB 3.0: 70MB/s de lectura, 30MB/s de escritura<br>USB 2.0: 30MB/s de lectura, 25MB/s de escritura<br>Práctico: diseño de carcasa deslizante sin capuchón para perder<br>Personalizable: Programa Co-Logo a su disposición<br>Dimensiones: 69,05mm x 21,6mm x 11,1mm (2,7185\" x 0,8504\" x 0,437\")<br>Temperatura de funcionamiento: de 0 °C a 60 °C (de 32 ºF a 140 ºF) <br>Temperatura de almacenamiento: de -20°C a 85°C (de -4ºF a 185ºF)',34,'prod27.jpg','Kingston DataTraveler Elite 32GB USB3.0',29.5,5,8);
/*!40000 ALTER TABLE `productes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transportistes`
--

DROP TABLE IF EXISTS `transportistes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transportistes` (
  `idUsuari` int(11) NOT NULL,
  `empresa` int(11) DEFAULT NULL,
  PRIMARY KEY (`idUsuari`),
  KEY `FK7373C52F290DE405` (`empresa`),
  KEY `FK7373C52FC0EE6622` (`idUsuari`),
  CONSTRAINT `FK7373C52F290DE405` FOREIGN KEY (`empresa`) REFERENCES `empresatransportista` (`idEmpresa`),
  CONSTRAINT `FK7373C52FC0EE6622` FOREIGN KEY (`idUsuari`) REFERENCES `usuaris` (`idUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transportistes`
--

LOCK TABLES `transportistes` WRITE;
/*!40000 ALTER TABLE `transportistes` DISABLE KEYS */;
INSERT INTO `transportistes` VALUES (3,1),(4,2),(5,2),(6,3),(7,3),(8,4);
/*!40000 ALTER TABLE `transportistes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuaris`
--

DROP TABLE IF EXISTS `usuaris`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuaris` (
  `idUsuari` int(11) NOT NULL,
  `codiPostal` int(11) NOT NULL,
  `cognoms` varchar(255) DEFAULT NULL,
  `direccio` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `localitat` varchar(255) DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  `nif` varchar(255) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `pais` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `telefon` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuaris`
--

LOCK TABLES `usuaris` WRITE;
/*!40000 ALTER TABLE `usuaris` DISABLE KEYS */;
INSERT INTO `usuaris` VALUES (1,43520,'Reverte Carles','C/Major 19 Baixos','venedor1@gmail.com','Roquetes','venedor1','478259354B','Joan','Espanya','pswd','977504176'),(2,43870,'Soler Arques','C/Del mig 16, 3er C','venedor2@hotmail.com','Amposta','venedor2','478259353B','Amanda','Espanya','pswd','650655699'),(3,43529,'Garcia Clemente','C/Llarg 67, 2','transp1@gmail.com','Girona','transp1','473459353B','Oscar','Espanya','pswd','650655699'),(4,43500,'Roig Bertomeu','Av. Generalitat 65, 4rt D','transp2@gmail.com','Tortosa','transp2','478259354B','Raimon','Espanya','pswd','660655699'),(5,4500,'Bel Martinez','C/De la Riera 4, 1er','transp3@hotmail.com','Reus','transp3','47894564b','Kiara','Espanya','pswd','666987254'),(6,43520,'Sanchez Gozalez','Av. Martorell 65, 3er F','transp4hotmail.com','Sabadell','transp4','47825935b','Jose','Espanya','pswd','667989254'),(7,455,'Puig Pons','Carretera del Reguers 345','transp5@hotmail.com','Roquetes','transp5','47894545b','Artur','Espanya','pswd','666789254'),(8,43520,'Codorniu Piñol','C Migdia 45, 4rt B','transp6@hotmail.com','Jesús','transp6','47894565b','Joan','Espanya','pswd','676989254'),(9,43520,'Azaña Aznar','Av. les Corts 3,2A','client1@hotmail.com','Barcelona','client1','47824544b','Jaime','Espanya','pswd','662989254'),(10,43520,'Arasa Curto','C/Pare Cardús 8, 2on C','henry_eac@hotmail.com','Roquetes','client2','47834564B','Enric','Espanya','pswd','607665128');
/*!40000 ALTER TABLE `usuaris` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `valoracions`
--

DROP TABLE IF EXISTS `valoracions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `valoracions` (
  `valoracio` float NOT NULL,
  `producte` int(11) NOT NULL DEFAULT '0',
  `client` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`client`,`producte`),
  KEY `FK27082513D654E1B` (`client`),
  KEY `FK270825195577BF1` (`producte`),
  CONSTRAINT `FK27082513D654E1B` FOREIGN KEY (`client`) REFERENCES `clients` (`idUsuari`),
  CONSTRAINT `FK270825195577BF1` FOREIGN KEY (`producte`) REFERENCES `productes` (`idProducte`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `valoracions`
--

LOCK TABLES `valoracions` WRITE;
/*!40000 ALTER TABLE `valoracions` DISABLE KEYS */;
INSERT INTO `valoracions` VALUES (10,8,10),(10,12,10),(8,16,10),(9,20,10),(10,24,10),(7,26,10);
/*!40000 ALTER TABLE `valoracions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `venedors`
--

DROP TABLE IF EXISTS `venedors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `venedors` (
  `idUsuari` int(11) NOT NULL,
  PRIMARY KEY (`idUsuari`),
  KEY `FK82138DB2C0EE6622` (`idUsuari`),
  CONSTRAINT `FK82138DB2C0EE6622` FOREIGN KEY (`idUsuari`) REFERENCES `usuaris` (`idUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `venedors`
--

LOCK TABLES `venedors` WRITE;
/*!40000 ALTER TABLE `venedors` DISABLE KEYS */;
INSERT INTO `venedors` VALUES (1),(2);
/*!40000 ALTER TABLE `venedors` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-12-17 13:11:39
