/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Categoria;
import model.Categoria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class CategoriaDAO{
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaCategoria(Categoria categoria){ 
        
        int id;
        CategoriaDAO dummy = new CategoriaDAO(){};

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(categoria);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
    public static void actualizaCategoria(Categoria categoria) throws HibernateException{ 
        CategoriaDAO dummy = new CategoriaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(categoria); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaCategoria(Categoria categoria) throws HibernateException{ 
        CategoriaDAO dummy = new CategoriaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(categoria); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static Categoria obtenCategoria(int idCategoria) throws HibernateException{ 
        Categoria categoria = null;  
        CategoriaDAO dummy = new CategoriaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            categoria = (Categoria) dummy.sesion.get(Categoria.class, idCategoria); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return categoria; 
    }
    
    public static List<Categoria> obtenListaCategories() throws HibernateException{ 
        List<Categoria> listaCategories = null;  
        CategoriaDAO dummy = new CategoriaDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaCategories = dummy.sesion.createQuery("from Categoria").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaCategories; 
    }
    
    
}
