/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Compra;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class CompraDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaCompra(Compra compra){ 
        CompraDAO dummy = new CompraDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(compra);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
     public static void actualizaCompra(Compra compra) throws HibernateException{ 
        CompraDAO dummy = new CompraDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(compra); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaCompra(Compra compra) throws HibernateException{ 
        CompraDAO dummy = new CompraDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(compra); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static Compra obtenCompra(int idCompra) throws HibernateException{ 
        Compra compra = null;  
        CompraDAO dummy = new CompraDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            compra = (Compra) dummy.sesion.get(Compra.class, idCompra); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return compra; 
    }
    
    public static List<Compra> obtenLlistaCompres() throws HibernateException{ 
        List<Compra> listaCompres = null;  
        CompraDAO dummy = new CompraDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaCompres = dummy.sesion.createQuery("from Compra").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaCompres; 
    }
}
