/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Compra;
import model.Compra_Producte;
import model.IntentEntrega;
import model.Producte;
import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class Compra_ProducteDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static void guardaCompra_Producte(Compra_Producte compra){ 
        Compra_ProducteDAO dummy = new Compra_ProducteDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
             dummy.sesion.save(compra);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        
        }
    
     public static void actualizaCompra_Producte(Compra_Producte compra) throws HibernateException{ 
        Compra_ProducteDAO dummy = new Compra_ProducteDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(compra); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaCompra_Producte(Compra_Producte compra) throws HibernateException{ 
        Compra_ProducteDAO dummy = new Compra_ProducteDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(compra); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static Compra_Producte obtenCompra_Producte(Compra compra, Producte producte ) throws HibernateException{ 
        Compra_Producte compra_Producte = null;  
        Compra_ProducteDAO dummy = new Compra_ProducteDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            Query query = dummy.sesion.createQuery("FROM Compra_Producte c WHERE c.compra_ProductePK.compra = :compra AND"
                    + " c.compra_ProductePK.producte= :producte");
            query.setInteger("compra", compra.getIdCompra());
            query.setInteger("producte", producte.getIdProducte());
            compra_Producte = (Compra_Producte)query.uniqueResult();
        } finally{ 
            dummy.sesion.close(); 
        }  
        return compra_Producte; 
    }
    
    public static List<Compra_Producte> obtenLlistaCompra_Productes() throws HibernateException{ 
        List<Compra_Producte> listaCompres = null;  
        Compra_ProducteDAO dummy = new Compra_ProducteDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaCompres = dummy.sesion.createQuery("from Compra_Producte").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaCompres; 
    }
}
