/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.EmpresaTransportista;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class EmpresaTransportistaDAO {

    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaEmpresa(EmpresaTransportista empresa){ 
        EmpresaTransportistaDAO dummy = new EmpresaTransportistaDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(empresa);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
     public static void actualizaEmpresa(EmpresaTransportista empresa) throws HibernateException{ 
        EmpresaTransportistaDAO dummy = new EmpresaTransportistaDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(empresa); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaEmpresa(EmpresaTransportista empresa) throws HibernateException{ 
        EmpresaTransportistaDAO dummy = new EmpresaTransportistaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(empresa); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static EmpresaTransportista obtenEmpresa(int idEmpresa) throws HibernateException{ 
        EmpresaTransportista empresa = null;  
        EmpresaTransportistaDAO dummy = new EmpresaTransportistaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            empresa = (EmpresaTransportista) dummy.sesion.get(EmpresaTransportista.class, idEmpresa); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return empresa; 
    }
    
    public static List<EmpresaTransportista> obtenListaEmpreses() throws HibernateException{ 
        List<EmpresaTransportista> listaEmpreses = null;  
        EmpresaTransportistaDAO dummy = new EmpresaTransportistaDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaEmpreses = dummy.sesion.createQuery("from EmpresaTransportista").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaEmpreses; 
    }
    
   
}
