/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Enviament;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class EnviamentDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaEnviament( Enviament enviament){ 
        EnviamentDAO dummy = new EnviamentDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(enviament);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
     public static void actualizaEnviament( Enviament enviament) throws HibernateException{ 
        EnviamentDAO dummy = new EnviamentDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(enviament); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaEnviament( Enviament enviament) throws HibernateException{ 
        EnviamentDAO dummy = new EnviamentDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(enviament); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static  Enviament obtenEnviament(int idEnviament) throws HibernateException{ 
         Enviament enviament = null;  
        EnviamentDAO dummy = new EnviamentDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            enviament = ( Enviament) dummy.sesion.get( Enviament.class, idEnviament); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return enviament; 
    }
    
    public static List< Enviament> obtenLlistaEnviaments() throws HibernateException{ 
        List< Enviament> listaEnviaments = null;  
        EnviamentDAO dummy = new EnviamentDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaEnviaments = dummy.sesion.createQuery("from  Enviament").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaEnviaments; 
    }
}
