/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Enviament;
import model.IntentEntrega;
import model.Usuari;

import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class IntentEntregaDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static void guardaIntentEntrega(IntentEntrega intentEntrega){ 
        IntentEntregaDAO dummy = new IntentEntregaDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
             dummy.sesion.save(intentEntrega);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        
        }
    
     public static void actualizaIntentEntrega(IntentEntrega intentEntrega) throws HibernateException{ 
        IntentEntregaDAO dummy = new IntentEntregaDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(intentEntrega); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaIntentEntrega(IntentEntrega intentEntrega) throws HibernateException{ 
        IntentEntregaDAO dummy = new IntentEntregaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(intentEntrega); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static IntentEntrega obtenIntentEntrega(Enviament enviament, int intentEntrega) throws HibernateException{ 
        IntentEntrega intent = null;  
        IntentEntregaDAO dummy = new IntentEntregaDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            Query query = dummy.sesion.createQuery("FROM IntentEntrega i WHERE i.intentEntregaPK.enviament =:enviament AND i."
                   + "intentEntregaPK.intentEntrega=:intentEntrega ");
            query.setInteger("enviament", enviament.getIdEnviament());
            query.setInteger("intentEntrega", intentEntrega);

            intent = (IntentEntrega)query.uniqueResult();
        } finally{ 
            dummy.sesion.close(); 
        }  
        return intent; 
    }
    
    public static List<IntentEntrega> obtenLlistaIntentsEntrega() throws HibernateException{ 
        List<IntentEntrega> intentsEntrega = null;  
        IntentEntregaDAO dummy = new IntentEntregaDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            intentsEntrega = dummy.sesion.createQuery("from IntentsEntrega").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return intentsEntrega; 
    }
}
