/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.MetodePagament;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class MetodePagamentDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaMetodePagament(MetodePagament metodePagament){ 
        MetodePagamentDAO dummy = new MetodePagamentDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(metodePagament);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
     public static void actualizaMetodePagament(MetodePagament metodePagament) throws HibernateException{ 
        MetodePagamentDAO dummy = new MetodePagamentDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(metodePagament); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaMetodePagament(MetodePagament metodePagament) throws HibernateException{ 
        MetodePagamentDAO dummy = new MetodePagamentDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(metodePagament); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static MetodePagament obtenMetodePagament(int idMetodePagament) throws HibernateException{ 
        MetodePagament metodePagament = null;  
        MetodePagamentDAO dummy = new MetodePagamentDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            metodePagament = (MetodePagament) dummy.sesion.get(MetodePagament.class, idMetodePagament); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return metodePagament; 
    }
    
    public static List<MetodePagament> obtenLlistaMetodesPagament() throws HibernateException{ 
        List<MetodePagament> listaMetodesPagament = null;  
        MetodePagamentDAO dummy = new MetodePagamentDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaMetodesPagament = dummy.sesion.createQuery("from MetodePagament").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaMetodesPagament; 
    }
}
