/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.util.List;
import model.Categoria;
import model.Producte;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;
import util.HibernateUtil;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public abstract class ProducteDAO {
    
    private Session sesion;
    private Transaction tx;
    
    private void iniciaOperacion() throws HibernateException{
        sesion = HibernateUtil.getSessionFactory().openSession();
        tx = sesion.beginTransaction();
    }
    
    private void manejaExcepcion(HibernateException he) throws HibernateException{
        tx.rollback();
        throw new HibernateException("Ocurrió un error en la capa de acceso a datos", he);
    }
    
    
    public static int guardaProducte(Producte producte){ 
        ProducteDAO dummy = new ProducteDAO(){};
        int id;

        try{ 
            dummy.iniciaOperacion(); 
            id = (Integer) dummy.sesion.save(producte);
            dummy.tx.commit(); 
        }catch(HibernateException he){ 
            dummy.manejaExcepcion(he);
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        }  
        return id; 
        }
    
     public static void actualizaProducte(Producte producte) throws HibernateException{ 
        ProducteDAO dummy = new ProducteDAO(){};
         try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.update(producte); 
            dummy.tx.commit(); 
        }catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static void eliminaProducte(Producte producte) throws HibernateException{ 
        ProducteDAO dummy = new ProducteDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            dummy.sesion.delete(producte); 
            dummy.tx.commit(); 
        } catch (HibernateException he){ 
            dummy.manejaExcepcion(he); 
            throw he; 
        }finally{ 
            dummy.sesion.close(); 
        } 
    }
    
    public static Producte obtenProducte(int idProducte) throws HibernateException{ 
        Producte producte = null;  
        ProducteDAO dummy = new ProducteDAO(){};
        try{ 
            dummy.iniciaOperacion(); 
            producte = (Producte) dummy.sesion.get(Producte.class, idProducte); 
        } finally{ 
            dummy.sesion.close(); 
        }  
        return producte; 
    }
    
    public static List<Producte> obtenListaProductes() throws HibernateException{ 
        List<Producte> listaProductes = null;  
        ProducteDAO dummy = new ProducteDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaProductes = dummy.sesion.createQuery("from Producte").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaProductes; 
    }
    
    public static List<Producte> ListaProductesOrdPreu(Categoria cat) throws HibernateException{ 
        List<Producte> listaProductes = null;  
        ProducteDAO dummy = new ProducteDAO(){};
        try { 
            dummy.iniciaOperacion(); 
            listaProductes = dummy.sesion.createQuery("from Producte p Where p.categoria="+cat.getIdCategoria()+" ORDER BY preu").list(); 
        }finally { 
            dummy.sesion.close(); 
        }  

        return listaProductes; 
    }
}
