/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import org.hibernate.annotations.IndexColumn;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="compres")
public class Compra implements Serializable {
    
    @Id
    @GeneratedValue(strategy=GenerationType.IDENTITY)
    private int idCompra;
    @ManyToOne 
    @JoinColumn(name = "clientId")
    private Client client;
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataCompra;
    public static final String[] ESTAT = {"Esperando Pago","Tramitándose (Pago Pendiente - Contrareembolso)",
            " Tramitándose (Pagado)","Preparado","Enviado ","Entregado"};
    private String estatCompra=ESTAT[0];
    @OneToMany(cascade=CascadeType.ALL,mappedBy="compra_ProductePK.compra") //,fetch=FetchType.EAGER) 
    @LazyCollection(value = LazyCollectionOption.FALSE)
    private List <Compra_Producte> llistaCompra=new ArrayList();
    private float preuTotal;
    @ManyToOne 
     @JoinColumn(name = "metodePagament")
    private MetodePagament metodePagament;
    @OneToOne
    @JoinColumn(name = "enviament")
    private Enviament enviament;
    
  
    
    public Compra(){
        
    }
    
    public Compra(int idCompra,Client client, Date dataCompra,List <Compra_Producte> llistaCompra, String estatCompra,float preuTotal,
            MetodePagament metodePagament, Enviament enviament){
        this.idCompra=idCompra;
        this.client=client;
        this.dataCompra=dataCompra;
        this.llistaCompra=llistaCompra;
        this.estatCompra=estatCompra;
        this.preuTotal=preuTotal;
        this.metodePagament=metodePagament;
        this.enviament=enviament;
    }
    
    private void setIdCompra(int idCompra){
        this.idCompra=idCompra;
    }
    
    public int getIdCompra(){
        return this.idCompra;
    }
            
    public void setClient(Client client){
        this.client=client;
    }
    
    public Client getClient(){
        return this.client;
    }
            
    public void setDataCompra(Date dataCompra){
        this.dataCompra=dataCompra;
    }
    
    public Date getDataCompra(){
        return this.dataCompra;
    }
    
    public void setLlistaCompra(List <Compra_Producte> llistaCompra){
        this.llistaCompra=llistaCompra;
    }
    
    public List <Compra_Producte> getLlistaCompra(){
        return this.llistaCompra;
    }
    
    public void addProducte(Compra_Producte producte){
        llistaCompra.add(producte);
    }
    
    public void setEstatCompra(String estatCompra){
        this.estatCompra=estatCompra;
    }
    
    public String getEstatCompra(){
        return this.estatCompra;
    }
    
    public void setPreuTotal(float preuTotal){
        this.preuTotal=preuTotal;
    }
    
    public float getPreuTotal(){
        return this.preuTotal;
    }
    
    public void setMetodePagament(MetodePagament metodePagament){
        this.metodePagament=metodePagament;
    }
    
    public MetodePagament getMetodePagament(){
        return this.metodePagament;
    }
    
    public void setEnviament(Enviament enviament){
        this.enviament=enviament;
    }
    
    public Enviament getEnviament(){
        return this.enviament;
    }
    
}
