/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

//import com.sun.istack.internal.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="enviaments")
public class Enviament implements Serializable {
    
    @Id
    //@NotNull
    private int idEnviament;
    @OneToOne
    //@NotNull
    @JoinColumn(name = "compra")
    private Compra compra;
    private String observacions;
    public static final  String[] ESTAT = {"Tramitándose","Preparado","Recogido","Entregado"};
    private String estatEnviament=ESTAT[0];
    @Temporal(TemporalType.DATE)
    private Date dataRecollida;
    @Temporal(TemporalType.TIME)
    private Date horaRecollida;
    @Temporal(TemporalType.DATE)
    private Date dataEntrega;
    @Temporal(TemporalType.TIME)
    private Date horaEntrega;
    @OneToMany(cascade=CascadeType.ALL,mappedBy="intentEntregaPK.enviament") //,fetch=FetchType.EAGER) 
    @LazyCollection(value = LazyCollectionOption.FALSE)
    private List<IntentEntrega> intentsEntrega=new ArrayList();
    @ManyToOne 
    @JoinColumn(name = "transportista")
    private Transportista transportista;
    
    
    public Enviament(){
        
    }
    
    public Enviament (Compra compra,String observacions,String estatEnviament,Date dataRecollida,Date horaRecollida,
            Date dataEntrega,Date horaEntrega,List<IntentEntrega> intentsEntrega,Transportista transportista){
        this.idEnviament=compra.getIdCompra();
        this.compra=compra;
        this.observacions=observacions;
        this.estatEnviament=estatEnviament;
        this.dataRecollida=dataRecollida;
        this.horaRecollida=horaRecollida;
        this.dataEntrega=dataEntrega;
        this.horaEntrega=horaEntrega;
        this.intentsEntrega=intentsEntrega;
        this.transportista=transportista;
    }
    
    private void setIdEnviament(int idEnviament){
        this.idEnviament=idEnviament;
    }
    
    public int getIdEnviament(){
        return this.idEnviament;
    }
    
    public void setCompra(Compra compra){
        this.compra=compra;
    }
    
    public Compra getCompra(){
        return this.compra;
    }
    
    public void setObservacions(String observacions){
        this.observacions=observacions;
    }
    
    public String getObservacions(){
        return this.observacions;
    }
    
    public void setEstatEnviament(String estatEnviament){
        this.estatEnviament=estatEnviament;
    }
    
    public String getEstatEnviament(){
        return this.estatEnviament;
    }
    
    
    public void setDataRecollida(Date dataRecollida){
        this.dataRecollida=dataRecollida;
    }
    
    public Date getDataRecollida(){
        return this.dataRecollida;
    }
    
    public void setHoraRecollida(Date horaRecollida){
        this.horaRecollida=horaRecollida;
    }
    
    public Date getHoraRecollida(){
        return this.horaRecollida;
    }
    public void setDataEntrega(Date dataEntrega){
        this.dataEntrega=dataEntrega;
    }
    
    public Date getDataEntrega(){
        return this.dataEntrega;
    }
    public void setHoraEntrega(Date dataEntrega){
        this.horaEntrega=horaEntrega;
    }
    
    public Date getHoraEntrega(){
        return this.horaEntrega;
    }
    
    
    public void setIntentsEntrega(List <IntentEntrega> intentsEntrega){
        this.intentsEntrega=intentsEntrega;
    }
    
    public List <IntentEntrega> getIntentsEntrega(){
        return this.intentsEntrega;
    }
    
    public void addIntent(IntentEntrega intentEntrega){
        intentsEntrega.add(intentEntrega);
    }
    
    
    public void setTransportista(Transportista transportista){
        this.transportista=transportista;
    }
    
    public Transportista getTransportista(){
        return this.transportista;
    }
    
    
}
