/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */

@Entity
@Table(name="productes")
public class Producte implements Serializable {
    
    @Id
    @GeneratedValue(strategy=GenerationType.IDENTITY)
    private int idProducte;
    private String nomProducte;
    private String descripcio;
    private float preu;
    private String imatge;
    private int estoc;
    private float valoracioMitjana;
    @ManyToOne //(cascade = CascadeType.ALL)  
    @JoinColumn(name = "categoriaId")
    private Categoria categoria;
    @OneToMany(cascade=CascadeType.ALL,mappedBy="valoracioPK.producte") //,fetch=FetchType.EAGER) 
    @LazyCollection(value = LazyCollectionOption.FALSE)
    private List <Valoracio> valoracions=new ArrayList();
    
    public Producte(){
        
    }
    
    public Producte(int idProducte,String nomProducte,String descripcio,float preu, String imatge,int estoc,
       float valoracioMitjana,Categoria categoria){
        this.idProducte=idProducte;
        this.nomProducte=nomProducte;
        this.descripcio=descripcio;
        this.preu=preu;
        this.imatge=imatge;
        this.estoc=estoc;
        this.valoracioMitjana=valoracioMitjana;
        this.categoria=categoria;
                
    }
    
    private void setIdProducte(int idProducte){
        this.idProducte=idProducte;
    }
    
    public int getIdProducte(){
        return this.idProducte;
    }
    
    public void setNomProducte(String nomProducte){
        this.nomProducte=nomProducte;
    }
    
    public String getNomProducte(){
        return this.nomProducte;
    }
    
    public void setDescripcio(String descripcio){
        this.descripcio=descripcio;
    }
    
    public String getDescripcio(){
        return this.descripcio;
    }
    
    public void setPreu(float preu){
        this.preu=preu;
    }
    
    public float getPreu(){
        return this.preu;
    }
    
    public void setImatge(String imatge){
        this.imatge=imatge;
    }
    
    public String getImatge(){
        return this.imatge;
    }
    
    public void setEstoc(int estoc){
        this.estoc=estoc;
    }
    
    public int getEstoc(){
        return this.estoc;
    }
    
    public void setValoracioMitjana(float valoracioMitjana){
        this.valoracioMitjana=valoracioMitjana;
    }
    
    public float getValoracioMitjana(){
        return this.valoracioMitjana;
    }
    
    public void setCategoria(Categoria categoria){
        this.categoria=categoria;
    }
    
    public Categoria getCategoria(){
        return this.categoria;
    }
    
    public void setValoracions(List <Valoracio> valoracions){
        this.valoracions=valoracions;
    }
    
    public List <Valoracio> getValoracions(){
        return this.valoracions;
    }
    
    public void addValoracio(Valoracio valoracio){
        valoracions.add(valoracio);
    }
}
