/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
@Entity
@Table(name="transportistes")
public class Transportista extends Usuari implements Serializable{
    
    @ManyToOne 
    @JoinColumn(name = "empresa")
    private EmpresaTransportista empresa;
        
    @OneToMany(cascade=CascadeType.ALL,mappedBy="transportista") 
    @LazyCollection(value = LazyCollectionOption.FALSE)
    List <Enviament> enviaments= new ArrayList();
    
    
    public Transportista(){
        super();
    }
    
    public Transportista (int idUsuari,String login,String password,String nom,String cognoms,String nif,String telefon,
            String email, String direccio,String localitat,int codiPostal, String pais, EmpresaTransportista empresa,List <Enviament>enviaments){
        super(idUsuari,login,password,nom,cognoms,nif,telefon,email,direccio,localitat,codiPostal,pais);
        this.empresa=empresa;
        this.enviaments=enviaments;
    }
    
    
    public void setEmpresa(EmpresaTransportista empresa){
        this.empresa=empresa;
    }
    
    public EmpresaTransportista getEmpresa(){
        return this.empresa;
    }
           
    public void setEnviaments(List <Enviament> enviaments){
        this.enviaments=enviaments;
    }
    
    public List <Enviament> getEnviaments(){
        return this.enviaments;
    }
    
    public void addEnviament(Enviament enviament){
        enviaments.add(enviament);
    }
    
}
