package util;


import com.opensymphony.xwork2.ActionContext;
import java.util.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author SM2012 (SurvivorMySQL2012)
 */

public class TendaOnlineLanguageUtils  {
	
     Properties properties = null;
    
    /** Configuration file name */
    
    public static final Logger logger = Logger.getLogger("common");
    public static Locale currentLocale;            // Localització actual
    public static ResourceBundle currentBundle;    // Recurs d'idioma seleccionat
    
    
    
    
    public TendaOnlineLanguageUtils() {
        this.properties = new Properties();
       }
    
    public static synchronized Locale getCurrentLocale(){
        
        if (currentLocale == null)
            return Locale.getDefault();
        else
            return currentLocale;
    }
        
    
    public static String getLocalizedString(String keyString){
        
        try {
            
            Locale catala = new Locale("ca", ""); /*Para el catalan*/
            Locale castellano = new Locale("es", ""); /*Para el castellano*/
            
            Map<String, Object> session = ActionContext.getContext().getSession();
            currentLocale =  (Locale)session.get("WW_TRANS_I18N_LOCALE");//new Locale(newLanguage);
                        
            currentBundle = ResourceBundle.getBundle("message", currentLocale);
            
            return currentBundle.getString(keyString);
            
        } catch(MissingResourceException ex) {
            logger.log(Level.WARNING, "Using default language, because no language resource detected");
            currentBundle = ResourceBundle.getBundle("message_es"); 
            
            
            return currentBundle.getString(keyString);
            
        }
    }
   
    public static String getMessage(String key)  {		
		return new String();
	}

    /**
     * Retorna la propiedad de configuración solicitada
     *
     * @param key
     * @return
     */
    public String getProperty(String key) {
        return TendaOnlineLanguageUtils.getLocalizedString(key);  
    }
}
    
    

