/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.EmpresaTransportistaDAO;
import java.util.ArrayList;
import java.util.Map;
import model.EmpresaTransportista;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ConfAltaEmpresesAction extends ActionSupport{
    
    private String nomEmpresa;
    private float cost;
    private int termini;
    
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
  
    public ConfAltaEmpresesAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        EmpresaTransportista empresa= new EmpresaTransportista();
        
        empresa.setNomEmpresa(nomEmpresa);
        empresa.setCost(cost);
        empresa.setTerminiEntrega(termini);
        empresa.setTransportistes(new ArrayList());
        
        EmpresaTransportistaDAO.obtenEmpresa(EmpresaTransportistaDAO.guardaEmpresa(empresa));
        
        session.put("empresaGestionada",empresa);
        
        
        
       return SUCCESS;
    }
    
    
     @Override
    public void validate(){
        
        
        
        
        if(nomEmpresa==null){
            addActionError(tlu.getProperty("error.nomEmpresa"));
           
        }
        
        if(cost==0.0f){
            addActionError(tlu.getProperty("eroor.cost"));
           
        }
        if(termini==0){
            addActionError(tlu.getProperty("error.termini"));
           
        }
        
        
         if(cost<0){
             addActionError(tlu.getProperty("error.costNeg"));
        }
         
          if(termini<=0){
             addActionError(tlu.getProperty("error.terminiNegatiu"));
        }
    }
    
    
    
    public void setNomEmpresa(String nomEmpresa){
         this.nomEmpresa=nomEmpresa;
    }
    
    public void setCost(float cost){
        this.cost=cost;
    }
    
     public void setTermini(int termini){
        this.termini=termini;
    }
     
    public String getNomEmpresa(){
        return this.nomEmpresa;
    }
    
    public float getCost(){
        return this.cost;
    }
    
    public int getTermini(){
        return this.termini;
    }
   
    
}
