/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.CompraDAO;
import controller.EmpresaTransportistaDAO;
import controller.EnviamentDAO;
import controller.MetodePagamentDAO;
import controller.UsuariDAO;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import model.*;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class ConfirmarCompraCarroAction extends ActionSupport{
    
     private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    
    private String observacions;
    private String metodePagament;
    private String empresa;
 
    
    public ConfirmarCompraCarroAction (){
	 
	}
    
    @Override
    public String execute() throws Exception{
    
         Map<String, Object> session = ActionContext.getContext().getSession();
         Client client =(Client) session.get("client");
         Compra compra=(Compra)session.get("carro");
         
         compra.setClient(client);
         
         List<MetodePagament> metodesPagament=( List<MetodePagament>)session.get("metodesPagament");
         List<EmpresaTransportista> empresesTransportistes=( List<EmpresaTransportista>)session.get("empreses");
         int i;
         EmpresaTransportista empresaTrans=null;
         MetodePagament metodePag=null;
         for(i=0;i<empresesTransportistes.size();i++){
             EmpresaTransportista e=empresesTransportistes.get(i);
             if(empresa.equals(e.getNomEmpresa()+" "+e.getTerminiEntrega()+"h ("+e.getCost()+" €)")){
                 empresaTrans=e;
             }
         }
         for(i=0;i<metodesPagament.size();i++){
            if( metodePagament.equals(metodesPagament.get(i).getTipusPagament())){
                metodePag=metodesPagament.get(i);
            }
         }
         Transportista transportista=empresaTrans.getTransportistes().get(0);
         for(i=0;i<empresaTrans.getTransportistes().size();i++){
             Transportista transp=empresaTrans.getTransportistes().get(i);
             if(transp.getEnviaments().size()<=transportista.getEnviaments().size()){
                 transportista=transp;
             }
         }
         
         compra.setDataCompra(new java.util.Date());
         String estat;
         if(!metodePag.getTipusPagament().equals("Contrareembolso")){
             estat=Compra.ESTAT[0];
         }else{
             estat=Compra.ESTAT[1];
         }
         compra.setEstatCompra(estat);
         float preuTotal=0.0f;
         List<Compra_Producte> llistaProductes=compra.getLlistaCompra();
         for(i=0;i<llistaProductes.size();i++){
             Compra_Producte cp=llistaProductes.get(i);
             float preuTotalProducte=cp.getQuantitat()*cp.getProducte().getPreu();
               preuTotal=preuTotal+preuTotalProducte;
             
         }
         preuTotal=preuTotal+empresaTrans.getCost();
         preuTotal=preuTotal*(1+metodePag.getSobreCost());
         compra.setPreuTotal(preuTotal);
         compra.setMetodePagament(metodePag);
         compra=CompraDAO.obtenCompra(CompraDAO.guardaCompra(compra));
         Enviament enviament=new Enviament(compra,observacions,Enviament.ESTAT[0],null,null,
                null,null,new ArrayList(),transportista);
         compra.setEnviament(enviament);
         transportista.addEnviament(enviament);
         EnviamentDAO.guardaEnviament(enviament);
         UsuariDAO.actulitzaUsuari(transportista);
         CompraDAO.actualizaCompra(compra);
         
         
         session.put("carro",new Compra());
         session.put("metodesPagament",null);
         session.put("empreses",null);
         
         
         
         session.put("compra", compra);
          
         return SUCCESS;
         
    }
    
    public void setObservacions(String observacions){
        this.observacions=observacions;
    }
    
    public void setMetodePagament(String metodePagament){
        this.metodePagament=metodePagament;
    }
    public void setEmpresa(String empresa){
        this.empresa=empresa;
    }
    
   
    
    
}
