/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import model.Usuari;
import controller.UsuariDAO;
import java.util.Map;
import model.Client;
import model.Transportista;
import model.Venedor;
import util.TendaOnlineLanguageUtils;


/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */


public class LoginAction extends ActionSupport{
    private Usuari user;
    
    
    private String login=""; 
    private String password="";
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    
    public LoginAction (){
		super();		
	}
    
    @Override
    public String execute() throws Exception{
        
        
                user=UsuariDAO.getUsuari(login, password);
                Map<String, Object> session = ActionContext.getContext().getSession();
                session.put("Id",user.getIdUsuari());
    		session.put("Type",user.getClass());
                session.put("user", user);
                session.put("recordar",false);
                
                    if(user.getClass()==Transportista.class){
                        Transportista tUser=(Transportista)user;
                        session.put("transp",tUser);
                        return "successTransp";
                    }else{
                        if(user.getClass()==Venedor.class){
                            Venedor vUser=(Venedor)user;
                            session.put("venedor",vUser);
                            return "successVenedor";
                        }else{
                            Client cUser=(Client)user;
                            session.put("client",cUser);
                            return SUCCESS;
                            }
                        }
                   
            
           
    }
    
    
    @Override
    public void validate(){
        
        boolean recordar=false;
        if(login.equals("")){
            addActionError(tlu.getProperty("error.loginBuit"));
            recordar=true;
        }
        if(password.equals("")){
            addActionError(tlu.getProperty("error.passwordBuit"));
            recordar=true;
        }else{
        
            if(!UsuariDAO.existeixUsuari(login)){
                addActionError(tlu.getProperty("error.noExisteix"));
                recordar=true;
            }else{
                if (!UsuariDAO.comprovarContrasenya(login, password)){
                    addActionError(tlu.getProperty("error.passwordIncorrecta"));
                    recordar=true;
                }
            }
        }
        
        if(recordar){
             Map<String, Object> session = ActionContext.getContext().getSession();
                session.put("recordar",recordar);
        }
       
    }
    
    
    
    public void setLogin(String login){
        this.login=login;
    }
    
    public void setPassword(String password){
        this.password=password;
    }
    
    public String getLogin(){
        return this.login;
    }
    
    public String getPassword(){
        return this.password;
    }
    
}
