/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import model.Usuari;
import controller.UsuariDAO;
import java.util.Map;
import model.Client;
import model.Transportista;
import model.Venedor;
import util.TendaOnlineLanguageUtils;


/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */


public class LoginConfCompAction extends ActionSupport{
    private Usuari user;
    
    
    private String login=""; 
    private String password="";
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    
    public LoginConfCompAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        user=UsuariDAO.getUsuari(login, password);
        Map<String, Object> session = ActionContext.getContext().getSession();
        session.put("Id",user.getIdUsuari());
    	session.put("Type",user.getClass());
        session.put("user", user);
        Client cUser=(Client)user;
        session.put("client",cUser);
        session.put("desti",null);
        return SUCCESS;
                   
                    
           
    }
    
    
    @Override
    public void validate(){
        
        if(login.equals("")){
            addActionError(tlu.getProperty("error.loginBuit"));
        }
        if(password.equals("")){
            addActionError(tlu.getProperty("error.passwordBuit"));
        }else{
        
            if(!UsuariDAO.existeixUsuari(login)){
                addActionError(tlu.getProperty("error.noExisteix"));
            }else{
                if (!UsuariDAO.comprovarContrasenya(login, password)){
                    addActionError(tlu.getProperty("error.passwordIncorrecta"));
                }else{
                    user=UsuariDAO.getUsuari(login, password);
                    if(user.getClass()!=Client.class){ 
                         Map<String, Object> session = ActionContext.getContext().getSession();
                         session.put("user", null);
                         addActionError(tlu.getProperty("error.solamentClient"));
                    }
                }
            }
        }
    }
    
    
    
    public void setLogin(String login){
        this.login=login;
    }
    
    public void setPassword(String password){
        this.password=password;
    }
    
    public String getLogin(){
        return this.login;
    }
    
    public String getPassword(){
        return this.password;
    }
    
}
