/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.ProducteDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Map;
import model.Categoria;
import model.Producte;
import org.apache.struts2.ServletActionContext;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class NouProducteAction extends ActionSupport{
    
    private String imatge;
    private String nomProducte;
    private float preu;
    private int estoc;
    private String descripcio;
    
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
  
    public NouProducteAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
        Map<String, Object> session = ActionContext.getContext().getSession();
        
        Producte producte=new Producte();
        producte.setNomProducte(nomProducte);
        producte.setImatge(imatge);
        producte.setDescripcio(descripcio);
        producte.setEstoc(estoc);
        producte.setPreu(preu);
        producte.setValoracioMitjana(5.0f);
        producte.setValoracions(new ArrayList());
        Categoria categoria=(Categoria)session.get("categoriaGestionada");
        producte.setCategoria(categoria);
               
        
        producte=ProducteDAO.obtenProducte(ProducteDAO.guardaProducte(producte));
        
        session.put("producteGestionat", producte);
        session.put("imatgeMostrar", "imatges/"+imatge);
        try{
            String ruta = ServletActionContext.getServletContext().getRealPath("/imatges");
            String rutaSrc = ServletActionContext.getServletContext().getRealPath("/");
            String barra=rutaSrc.substring(rutaSrc.length()-1);
            String extensio=imatge.substring(imatge.lastIndexOf("."));
            session.put("rutaAbs", rutaSrc+"imatges"+barra+"imatgesTemporals"+barra+"prod"+producte.getIdProducte()+extensio);
            rutaSrc=rutaSrc+"imatges"+barra+"imatgesTemporals";
                
            

            File imatgeVella=new File(ruta, producte.getImatge());


            File novaImatge = new File(rutaSrc, producte.getImatge());

            FileInputStream in = new FileInputStream(imatgeVella);
            FileOutputStream out = new FileOutputStream(novaImatge);

            int c;
            while( (c = in.read() ) != -1)
                     out.write(c);

            in.close();
            out.close();
        } catch(IOException e) {
		 addActionError(e.getMessage());
                 return INPUT;
        }
        
       return SUCCESS;
    }
    
    
     @Override
    public void validate(){
        
        
        if(imatge.equals("")){
            addActionError(tlu.getProperty("error.imatgeBuit"));
           
        }
        
        if(nomProducte.equals("")){
            addActionError(tlu.getProperty("error.nomProducte"));
           
        }
        
         if(estoc<0){
             addActionError(tlu.getProperty("error.estocNeg"));
        }
         
          if(preu<=0){
             addActionError(tlu.getProperty("error.preuNegatiu"));
        }
    }
    
    
    
    public void setImatge(String imatge){
         this.imatge=imatge;
    }
    
    public void setNomProducte(String nomProducte){
        this.nomProducte=nomProducte;
    }
    
    public String getNomProducte(){
        return this.nomProducte;
    }
    
     public void setDescripcio(String descripcio){
        this.descripcio=descripcio;
    }
    
    public String getDescripcio(){
        return this.descripcio;
    }
    
    public void setPreu(float preu){
        this.preu=preu;
    }
    
    public float getPreu(){
        return this.preu;
    }
        
    
    public void setEstoc(int estoc){
        this.estoc=estoc;
    }
    
    public int getEstoc(){
        return this.estoc;
    }
    
}
