/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.UsuariDAO;
import java.util.ArrayList;
import java.util.Map;
import model.Client;
import model.Usuari;
import util.TendaOnlineLanguageUtils;

/**
 *
 * @author Enric Arasa Curto (enric.arasa@gmail.com)
 */
public class RegistreAction extends ActionSupport{
    
    private String loginReg=""; 
    private String passwordReg="";
    private String repPassword="";
    private String email="";
    private String nom="";
    private String cognoms="";
    private String nif="";
    private String direccio="";
    private String localitat="";
    private String codiPostal="";
    private int codiPostalInt;
    private String pais="";
    private String telefon="";
    private static TendaOnlineLanguageUtils tlu=new TendaOnlineLanguageUtils();
    
    public RegistreAction (){
				
	}
    
    @Override
    public String execute() throws Exception{
        
                codiPostalInt=Integer.parseInt(codiPostal);
                Client client= new Client (-1,loginReg,passwordReg, nom, cognoms, nif, telefon, email,
                        direccio, localitat, codiPostalInt,  pais, new ArrayList(), new ArrayList());
              
                Map<String, Object> session = ActionContext.getContext().getSession();
                client=(Client)UsuariDAO.getUsuari(UsuariDAO.guardarUsuari(client),Client.class);
                
                session.put("user", client);
                session.put("client",client);
                String desti=(String)session.get("desti");
                if(desti.equals("confirmarCompra")) {
                     session.put("desti","");
                    return "confirmaCompra";
               }else{   
                    return SUCCESS;
                }
    }
    
     @Override
    public void validate(){
        
        if(loginReg.isEmpty()){
            addActionError(tlu.getProperty("error.loginBuit"));
        }else{
            loginReg=loginReg.trim();
            if((loginReg.length()<4)||(loginReg.length()>20)){
                 addActionError(tlu.getProperty("error.longitud.login"));
            }
            if(UsuariDAO.existeixUsuari(loginReg)){
                addActionError(tlu.getProperty("error.loginOcupat"));
            }
        }
        if(passwordReg.isEmpty()){
            addActionError(tlu.getProperty("error.passwordBuit"));
        }else{
            passwordReg=passwordReg.trim();
            if((passwordReg.length()<4)||(passwordReg.length()>20)){
                 addActionError(tlu.getProperty("error.longitud.password"));
            }
        }
        if(repPassword.isEmpty()){
            addActionError(tlu.getProperty("error.repPasswordBuit"));
        }else{
            if((!passwordReg.isEmpty())&&(!passwordReg.equals(repPassword))){
                addActionError(tlu.getProperty("error.noCoincideixenPassword"));
            }}
       if (loginReg.equals(passwordReg)){
            addActionError(tlu.getProperty("error.loginPasswordEquals"));
       } 
        
       if(email.isEmpty()){
            addActionError(tlu.getProperty("error.emailBuit"));
        }else{
           if(UsuariDAO.emailOcupat(email)){
                addActionError(tlu.getProperty("error.emailOcupat"));
            }}
        if(nom.isEmpty()){
            addActionError(tlu.getProperty("error.nomBuit"));
        }else{
            nom=nom.trim();
            if((nom.length()<4)||(nom.length()>12)){
                 addActionError(tlu.getProperty("error.longitud.nom"));
            }}
        if(cognoms.isEmpty()){
            addActionError(tlu.getProperty("error.cognomsBuit"));
        }else{
            cognoms=cognoms.trim();
            }
        if(nif.isEmpty()){
            addActionError(tlu.getProperty("error.nifBuit"));
        }else{
            nif=nif.trim();
            if((nif.length()<9)||(nif.length()>9)){
                 addActionError(tlu.getProperty("error.longitud.nif"));
            }}
       if(direccio.isEmpty()){
            addActionError(tlu.getProperty("error.direccioBuit"));
       }else{
            direccio=direccio.trim();
            }
       if(localitat.isEmpty()){
            addActionError(tlu.getProperty("error.localitatBuit"));
       }else{
            localitat=localitat.trim();
            }
       
       if(codiPostal.isEmpty()){
            addActionError(tlu.getProperty("error.codiPostaltBuit"));
       }
       
       if(pais.isEmpty()){
            addActionError(tlu.getProperty("error.paisBuit"));
       }else{
            pais=pais.trim();
            }
       
       if(telefon.isEmpty()){
            addActionError(tlu.getProperty("error.telefonBuit"));
        }else{
            telefon=telefon.trim();
            if((telefon.length()<9)||(telefon.length()>9)){
                 addActionError(tlu.getProperty("error.longitud.telefon"));
            }}
         
       
    }
     
    
    public void setLoginReg(String loginReg){
        this.loginReg=loginReg;
    }
    
    public void setPasswordReg(String passwordReg){
        this.passwordReg=passwordReg;
    }
    
    public void setRepPassword(String repPassword){
        this.repPassword=repPassword;
    }
    
    public void setEmail(String email){
        this.email=email;
    }
    
    public void setNom(String nom){
        this.nom=nom;
    }
    
    public void setCognoms(String cognoms){
        this.cognoms=cognoms;
    }
    
    public void setNif(String nif){
        this.nif=nif;
    }
    
    public void setDireccio(String direccio){
        this.direccio=direccio;
    }
    
    public void setLocalitat(String localitat){
        this.localitat=localitat;
    }
    
    public void setCodiPostal(String codiPostal){
        this.codiPostal=codiPostal;
    }
    
    public void setPais(String pais){
        this.pais=pais;
    }
    
    public void setTelefon(String telefon){
        this.telefon=telefon;
    }
    
    public String getLoginReg(){
        return this.loginReg;
    }
    
    public String getPasswordReg(){
        return this.passwordReg;
    }
    
    public String getRepPassword(){
        return this.repPassword;
    }
    
    public String getEmail(){
        return this.email;
    }
     
    public String getNom(){
        return this.nom;
    }
    
    public String getCognoms(){
        return this.cognoms;
    }
    
    public String getNif(){
        return this.nif;
    }
    
    public String getDireccio(){
        return this.direccio;
    }
    
    
    public String getLocalitat(){
        return this.localitat;
    }
    
    public String getCodiPostal(){
        return this.codiPostal;
    }
    
    public String getPais(){
        return this.pais;
    }
    
    public String getTelefon(){
        return this.telefon;
    }
    
}
